HanMacWrdKGraphInternal::ShapeGraph Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::ShapeGraph Struct Referencefinal

Internal: the geometrical graph of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::ShapeGraph:

## Public Member Functions
| ShapeGraph (Frame const &orig)
| constructor More...
| ~ShapeGraph () final
| destructor More...
MWAWGraphicStyle | getStyle () const
| return the current style More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
MWAWGraphicShape | m_shape
| the shape m_shape More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeGraph const &graph)
| operator<< More...

## Detailed Description

Internal: the geometrical graph of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ ShapeGraph()

HanMacWrdKGraphInternal::ShapeGraph::ShapeGraph | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~ShapeGraph()

HanMacWrdKGraphInternal::ShapeGraph::~ShapeGraph | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getStyle()

MWAWGraphicStyle HanMacWrdKGraphInternal::ShapeGraph::getStyle | ( |  | ) | const
| inline

return the current style

Referenced by HanMacWrdKGraph::sendShapeGraph().

## ◆ print()

std::string HanMacWrdKGraphInternal::ShapeGraph::print | ( |  | ) | const
| inline

print local data

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ShapeGraph const & | graph
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_shape

MWAWGraphicShape HanMacWrdKGraphInternal::ShapeGraph::m_shape

the shape m_shape

Referenced by getStyle(), print(), and HanMacWrdKGraph::sendShapeGraph().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx